aboutsummaryrefslogtreecommitdiffstats
path: root/vtchs/vtchs.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@member.fsf.org>2015-12-17 14:35:21 +0100
committerMattias Andrée <maandree@member.fsf.org>2015-12-17 14:35:21 +0100
commit5d0419d3009615d8dc6a3873d696cc0c7b527211 (patch)
treed6a94d4ff1c92447c4f3d7d8af208237417c06a4 /vtchs/vtchs.install
parentm (diff)
downloadaur-packages-5d0419d3009615d8dc6a3873d696cc0c7b527211.tar.gz
aur-packages-5d0419d3009615d8dc6a3873d696cc0c7b527211.tar.bz2
aur-packages-5d0419d3009615d8dc6a3873d696cc0c7b527211.tar.xz
add vtchs
Signed-off-by: Mattias Andrée <maandree@member.fsf.org>
Diffstat (limited to '')
-rw-r--r--vtchs/vtchs.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/vtchs/vtchs.install b/vtchs/vtchs.install
new file mode 100644
index 0000000..2a9f948
--- /dev/null
+++ b/vtchs/vtchs.install
@@ -0,0 +1,20 @@
+_file="vtchs"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+